[v2,2/2] doc: bump the supported SDK and firmware version

Message ID 20191105075907.22804-2-hemant.agrawal@nxp.com
State New
Headers show
Series
  • [v2,1/2] config: remove redundant dpaa2 build
Related show

Commit Message

Hemant Agrawal Nov. 5, 2019, 7:59 a.m.
This patch bump the supported SDK and MC firmware version
to the latest.

Signed-off-by: Hemant Agrawal <hemant.agrawal@nxp.com>

---
 doc/guides/cryptodevs/dpaa2_sec.rst | 4 ++--
 doc/guides/eventdevs/dpaa2.rst      | 4 ++--
 doc/guides/nics/dpaa2.rst           | 4 ++--
 doc/guides/platform/dpaa2.rst       | 7 +++++--
 doc/guides/rawdevs/dpaa2_cmdif.rst  | 4 ++--
 doc/guides/rawdevs/dpaa2_qdma.rst   | 4 ++--
 6 files changed, 15 insertions(+), 12 deletions(-)

-- 
2.17.1

Comments

David Marchand Nov. 5, 2019, 9:17 a.m. | #1
On Tue, Nov 5, 2019 at 9:05 AM Hemant Agrawal <hemant.agrawal@nxp.com> wrote:
>

> This patch bump the supported SDK and MC firmware version

> to the latest.

>

> Signed-off-by: Hemant Agrawal <hemant.agrawal@nxp.com>

> ---

>  doc/guides/cryptodevs/dpaa2_sec.rst | 4 ++--

>  doc/guides/eventdevs/dpaa2.rst      | 4 ++--

>  doc/guides/nics/dpaa2.rst           | 4 ++--

>  doc/guides/platform/dpaa2.rst       | 7 +++++--

>  doc/guides/rawdevs/dpaa2_cmdif.rst  | 4 ++--

>  doc/guides/rawdevs/dpaa2_qdma.rst   | 4 ++--

>  6 files changed, 15 insertions(+), 12 deletions(-)

>

> diff --git a/doc/guides/cryptodevs/dpaa2_sec.rst b/doc/guides/cryptodevs/dpaa2_sec.rst

> index 55f0d6856..3053636b8 100644

> --- a/doc/guides/cryptodevs/dpaa2_sec.rst

> +++ b/doc/guides/cryptodevs/dpaa2_sec.rst

> @@ -161,8 +161,8 @@ See :doc:`../platform/dpaa2` for setup information

>

>  Currently supported by DPDK:

>

> -- NXP SDK **19.03+**.

> -- MC Firmware version **10.14.0** and higher.

> +- NXP SDK **19.09+**.

> +- MC Firmware version **10.18.0** and higher.

>  - Supported architectures:  **arm64 LE**.

>

>  - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>` to setup the basic DPDK environment.

> diff --git a/doc/guides/eventdevs/dpaa2.rst b/doc/guides/eventdevs/dpaa2.rst

> index dd8ebbcd0..835767f98 100644

> --- a/doc/guides/eventdevs/dpaa2.rst

> +++ b/doc/guides/eventdevs/dpaa2.rst

> @@ -38,8 +38,8 @@ See :doc:`../platform/dpaa2` for setup information

>

>  Currently supported by DPDK:

>

> -- NXP SDK **19.03+**.

> -- MC Firmware version **10.14.0** and higher.

> +- NXP SDK **19.09+**.

> +- MC Firmware version **10.18.0** and higher.

>  - Supported architectures:  **arm64 LE**.

>

>  - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>` to setup the basic DPDK environment.

> diff --git a/doc/guides/nics/dpaa2.rst b/doc/guides/nics/dpaa2.rst

> index b6d9e2129..fdfa6fdd5 100644

> --- a/doc/guides/nics/dpaa2.rst

> +++ b/doc/guides/nics/dpaa2.rst

> @@ -421,8 +421,8 @@ See :doc:`../platform/dpaa2` for setup information

>

>  Currently supported by DPDK:

>

> -- NXP LSDK **19.03+**.

> -- MC Firmware version **10.14.0** and higher.

> +- NXP LSDK **19.08+**.

> +- MC Firmware version **10.18.0** and higher.

>  - Supported architectures:  **arm64 LE**.

>

>  - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>` to setup the basic DPDK environment.

> diff --git a/doc/guides/platform/dpaa2.rst b/doc/guides/platform/dpaa2.rst

> index c21bb193f..014545c0b 100644

> --- a/doc/guides/platform/dpaa2.rst

> +++ b/doc/guides/platform/dpaa2.rst

> @@ -70,6 +70,9 @@ compatible board:

>

>     DPAA2 based resources can be configured easily with the help of ready scripts

>     as provided in the DPDK Extra repository.


Missing empty line, that I will add while applying.

Besides, adding this entry makes obsolete the description before the list:

doc/guides/platform/dpaa2.rst:51
"There are four main pre-requisites for executing DPAA2 PMD on a DPAA2
compatible board:"

I can remove "four main" if you are okay with this.

> +5. **Build Config**

> +

> +   Use dpaa build configs, they work for both DPAA2 and DPAA platforms.

>

>  As an alternative method, DPAA2 PMD can also be executed using images provided

>  as part of SDK from NXP. The SDK includes all the above prerequisites necessary

> @@ -101,8 +104,8 @@ separately:

>

>  Currently supported by DPDK:

>

> -- NXP SDK **2.0+** (preferred: LSDK 19.03).

> -- MC Firmware version **10.14.0** and higher.

> +- NXP SDK **LSDK 19.09++**.

> +- MC Firmware version **10.18.0** and higher.

>  - Supported architectures:  **arm64 LE**.

>

>  - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>`

> diff --git a/doc/guides/rawdevs/dpaa2_cmdif.rst b/doc/guides/rawdevs/dpaa2_cmdif.rst

> index bcd603c81..be9805874 100644

> --- a/doc/guides/rawdevs/dpaa2_cmdif.rst

> +++ b/doc/guides/rawdevs/dpaa2_cmdif.rst

> @@ -33,8 +33,8 @@ See :doc:`../platform/dpaa2` for setup information

>

>  Currently supported by DPDK:

>

> -- NXP SDK **19.03+**.

> -- MC Firmware version **10.14.0** and higher.

> +- NXP SDK **19.09+**.

> +- MC Firmware version **10.18.0** and higher.

>  - Supported architectures:  **arm64 LE**.

>

>  - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>` to setup the basic DPDK environment.

> diff --git a/doc/guides/rawdevs/dpaa2_qdma.rst b/doc/guides/rawdevs/dpaa2_qdma.rst

> index a5085c2c0..129e83d5e 100644

> --- a/doc/guides/rawdevs/dpaa2_qdma.rst

> +++ b/doc/guides/rawdevs/dpaa2_qdma.rst

> @@ -37,8 +37,8 @@ See :doc:`../platform/dpaa2` for setup information

>

>  Currently supported by DPDK:

>

> -- NXP SDK **19.03+**.

> -- MC Firmware version **10.14.0** and higher.

> +- NXP SDK **19.09+**.

> +- MC Firmware version **10.18.0** and higher.

>  - Supported architectures:  **arm64 LE**.

>

>  - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>` to setup the basic DPDK environment.

> --

> 2.17.1

>


Reviewed-by: David Marchand <david.marchand@redhat.com>



--
David Marchand
David Marchand Nov. 6, 2019, 9 p.m. | #2
On Tue, Nov 5, 2019 at 10:17 AM David Marchand
<david.marchand@redhat.com> wrote:
>

> On Tue, Nov 5, 2019 at 9:05 AM Hemant Agrawal <hemant.agrawal@nxp.com> wrote:

> >

> > This patch bump the supported SDK and MC firmware version

> > to the latest.

> >

> > Signed-off-by: Hemant Agrawal <hemant.agrawal@nxp.com>


[snip]

> > diff --git a/doc/guides/platform/dpaa2.rst b/doc/guides/platform/dpaa2.rst

> > index c21bb193f..014545c0b 100644

> > --- a/doc/guides/platform/dpaa2.rst

> > +++ b/doc/guides/platform/dpaa2.rst

> > @@ -70,6 +70,9 @@ compatible board:

> >

> >     DPAA2 based resources can be configured easily with the help of ready scripts

> >     as provided in the DPDK Extra repository.

>

> Missing empty line, that I will add while applying.


Added missing line.

>

> Besides, adding this entry makes obsolete the description before the list:

>

> doc/guides/platform/dpaa2.rst:51

> "There are four main pre-requisites for executing DPAA2 PMD on a DPAA2

> compatible board:"


I let this part as is.
Please send a cleanup as a followup.

> Reviewed-by: David Marchand <david.marchand@redhat.com>



Applied, thanks.


-- 
David Marchand

Patch

diff --git a/doc/guides/cryptodevs/dpaa2_sec.rst b/doc/guides/cryptodevs/dpaa2_sec.rst
index 55f0d6856..3053636b8 100644
--- a/doc/guides/cryptodevs/dpaa2_sec.rst
+++ b/doc/guides/cryptodevs/dpaa2_sec.rst
@@ -161,8 +161,8 @@  See :doc:`../platform/dpaa2` for setup information
 
 Currently supported by DPDK:
 
-- NXP SDK **19.03+**.
-- MC Firmware version **10.14.0** and higher.
+- NXP SDK **19.09+**.
+- MC Firmware version **10.18.0** and higher.
 - Supported architectures:  **arm64 LE**.
 
 - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>` to setup the basic DPDK environment.
diff --git a/doc/guides/eventdevs/dpaa2.rst b/doc/guides/eventdevs/dpaa2.rst
index dd8ebbcd0..835767f98 100644
--- a/doc/guides/eventdevs/dpaa2.rst
+++ b/doc/guides/eventdevs/dpaa2.rst
@@ -38,8 +38,8 @@  See :doc:`../platform/dpaa2` for setup information
 
 Currently supported by DPDK:
 
-- NXP SDK **19.03+**.
-- MC Firmware version **10.14.0** and higher.
+- NXP SDK **19.09+**.
+- MC Firmware version **10.18.0** and higher.
 - Supported architectures:  **arm64 LE**.
 
 - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>` to setup the basic DPDK environment.
diff --git a/doc/guides/nics/dpaa2.rst b/doc/guides/nics/dpaa2.rst
index b6d9e2129..fdfa6fdd5 100644
--- a/doc/guides/nics/dpaa2.rst
+++ b/doc/guides/nics/dpaa2.rst
@@ -421,8 +421,8 @@  See :doc:`../platform/dpaa2` for setup information
 
 Currently supported by DPDK:
 
-- NXP LSDK **19.03+**.
-- MC Firmware version **10.14.0** and higher.
+- NXP LSDK **19.08+**.
+- MC Firmware version **10.18.0** and higher.
 - Supported architectures:  **arm64 LE**.
 
 - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>` to setup the basic DPDK environment.
diff --git a/doc/guides/platform/dpaa2.rst b/doc/guides/platform/dpaa2.rst
index c21bb193f..014545c0b 100644
--- a/doc/guides/platform/dpaa2.rst
+++ b/doc/guides/platform/dpaa2.rst
@@ -70,6 +70,9 @@  compatible board:
 
    DPAA2 based resources can be configured easily with the help of ready scripts
    as provided in the DPDK Extra repository.
+5. **Build Config**
+
+   Use dpaa build configs, they work for both DPAA2 and DPAA platforms.
 
 As an alternative method, DPAA2 PMD can also be executed using images provided
 as part of SDK from NXP. The SDK includes all the above prerequisites necessary
@@ -101,8 +104,8 @@  separately:
 
 Currently supported by DPDK:
 
-- NXP SDK **2.0+** (preferred: LSDK 19.03).
-- MC Firmware version **10.14.0** and higher.
+- NXP SDK **LSDK 19.09++**.
+- MC Firmware version **10.18.0** and higher.
 - Supported architectures:  **arm64 LE**.
 
 - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>`
diff --git a/doc/guides/rawdevs/dpaa2_cmdif.rst b/doc/guides/rawdevs/dpaa2_cmdif.rst
index bcd603c81..be9805874 100644
--- a/doc/guides/rawdevs/dpaa2_cmdif.rst
+++ b/doc/guides/rawdevs/dpaa2_cmdif.rst
@@ -33,8 +33,8 @@  See :doc:`../platform/dpaa2` for setup information
 
 Currently supported by DPDK:
 
-- NXP SDK **19.03+**.
-- MC Firmware version **10.14.0** and higher.
+- NXP SDK **19.09+**.
+- MC Firmware version **10.18.0** and higher.
 - Supported architectures:  **arm64 LE**.
 
 - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>` to setup the basic DPDK environment.
diff --git a/doc/guides/rawdevs/dpaa2_qdma.rst b/doc/guides/rawdevs/dpaa2_qdma.rst
index a5085c2c0..129e83d5e 100644
--- a/doc/guides/rawdevs/dpaa2_qdma.rst
+++ b/doc/guides/rawdevs/dpaa2_qdma.rst
@@ -37,8 +37,8 @@  See :doc:`../platform/dpaa2` for setup information
 
 Currently supported by DPDK:
 
-- NXP SDK **19.03+**.
-- MC Firmware version **10.14.0** and higher.
+- NXP SDK **19.09+**.
+- MC Firmware version **10.18.0** and higher.
 - Supported architectures:  **arm64 LE**.
 
 - Follow the DPDK :ref:`Getting Started Guide for Linux <linux_gsg>` to setup the basic DPDK environment.